from dlubal.api import rfem
import os

def main():
    with rfem.Application() as rfem_app:
        # Check subscription info
        print(rfem_app.get_application_info())

        file_path = os.path.abspath('./dlubal_app_files/model_no_results')
        print(f'file_path: {file_path}')
        rfem_app.save_model(
            path=file_path,
            results=False,
            printout_reports=False
        )
if __name__ == '__main__':
    main()